/***************************************************************************/
/* C header file for libSIMD Mathematics Library using SIMD code.          */
/* Copyright (C) 2000,2001 by Iain Nicholson <iain@delphinus.demon.co.uk>  */
/* Last modified : 7th February 2002                                       */
/*                                                                         */
/* This file is part of libSIMD.                                           */
/*                                                                         */
/*  libSIMD is free software; you can redistribute it and/or modify it     */
/*  under the terms of the GNU Lesser General Public License as published  */
/*  by the Free Software Foundation; either version 2 of the License, or   */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  libSIMD is distributed in the hope that it will be useful, but WITHOUT */
/*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public   */
/*  License for more details.                                              */
/*                                                                         */
/*  You should have received a copy of the GNU Lesser General Public       */
/*  License along with libSIMD; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307   */
/*  USA                                                                    */
/***************************************************************************/

#define LIBSIMD_MATRIXD

/* 2x2 matrix operations */
void simd_matd_2x2_mul(double [2][2], double [2][2], double [2][2]);
void simd_matd_2x2_det(double [2][2], double *);
/*void simd_matd_2x2_inv(double [2][2], double [2][2]);*/
/*void simd_matd_2x2_trns(double [2][2], double [2][2]);*/
void simd_matd_2x1_mul(double [2][2], double [2], double [2]);

/* 3x3 matrix operations */
void simd_matd_3x3_mul(double [3][3], double [3][3], double [3][3]);
void simd_matd_3x3_det(double [3][3], double *);
/*void simd_matd_3x3_inv(double [3][3], double [3][3]);*/
/*void simd_matd_3x3_trns(double [3][3], double [3][3]);*/
void simd_matd_3x1_mul(double [3][3], double [3], double [3]);

/* 4x4 matrix operations */
void simd_matd_4x4_mul(double [4][4], double [4][4], double [4][4]);
/*void simd_matd_4x4_det(double [4][4], double *);*/
/*void simd_matd_4x4_inv(double [4][4], double [4][4]);*/
/*void simd_matd_4x4_trns(double [4][4], double [4][4]);*/
void simd_matd_4x1_mul(double [4][4], double [4], double [4]);
