/***************************************************************************/
/* libSIMD Mathematics Library using SIMD code.                            */
/* Copyright (C) 2000,2001 by Iain Nicholson <iain@delphinus.demon.co.uk>  */
/* Last modified : 4th February 2002                                       */
/*                                                                         */
/* This file is part of libSIMD.                                           */
/*                                                                         */
/*  libSIMD is free software; you can redistribute it and/or modify it     */
/*  under the terms of the GNU Lesser General Public License as published  */
/*  by the Free Software Foundation; either version 2 of the License, or   */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  libSIMD is distributed in the hope that it will be useful, but WITHOUT */
/*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public   */
/*  License for more details.                                              */
/*                                                                         */
/*  You should have received a copy of the GNU Lesser General Public       */
/*  License along with libSIMD; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307   */
/*  USA                                                                    */
/***************************************************************************/

#ifndef LIBSIMD_TRIGD
 #include "trigonometryd.h"
#endif

void simd_sind(double *a, double *b)
{

	int n;
	double result, num, den, f;
	/* this is what it does in C : */

	result=*a;
	num=result;
	den=1.0;
	f=1.0;

	for(n=0; n<=5; n++)
	{
		num*=*a;
		num*=*a;
		f++;
		den*=f;
		f++;
		den*=f;
		result-=num/den;
		num*=*a;
		num*=*a;
		f++;
		den*=f;
		f++;
		den*=f;
		result+=num/den;
	}
	*b=result;

}

void simd_cosd(double *a, double *b)
{

	int n;
	double result, num, den, f;
	/* this is what it does in C : */

	result=1;
	num=1.0;
	den=1.0;
	f=0.0;

	for(n=0; n<=5; n++)
	{
		num*=*a;
		num*=*a;
		f++;
		den*=f;
		f++;
		den*=f;
		result-=num/den;
		num*=*a;
		num*=*a;
		f++;
		den*=f;
		f++;
		den*=f;
		result+=num/den;
	}
	*b=result;

}

void simd_sinhd(double *a, double *b)
{

	int n;
	double result, num, den, f;
	/* this is what it does in C : */

	result=*a;
	num=result;
	den=1.0;
	f=1.0;

	for(n=0; n<=5; n++)
	{
		num*=*a;
		num*=*a;
		f++;
		den*=f;
		f++;
		den*=f;
		result+=num/den;
		num*=*a;
		num*=*a;
		f++;
		den*=f;
		f++;
		den*=f;
		result+=num/den;
	}
	*b=result;

}

void simd_coshd(double *a, double *b)
{

	int n;
	double result, num, den, f;
	/* this is what it does in C : */

	result=1;
	num=1.0;
	den=1.0;
	f=0.0;

	for(n=0; n<=5; n++)
	{
		num*=*a;
		num*=*a;
		f++;
		den*=f;
		f++;
		den*=f;
		result+=num/den;
		num*=*a;
		num*=*a;
		f++;
		den*=f;
		f++;
		den*=f;
		result+=num/den;
	}
	*b=result;

}

void simd_expd(double *a, double *b)
{

	int n;
	double result, num, den, f;
	/* this is what it does in C : */

	result=1;
	num=1.0;
	den=1.0;
	f=0.0;

	for(n=0; n<=12; n++)
	{
		num*=*a;
		f++;
		den*=f;
		result+=num/den;
	}
	*b=result;

}