/***************************************************************************/
/* Constant generating program for libSIMD,                                */
/*                                the Mathematics Library using SIMD code. */
/* Copyright (C) 2000,2001 by Iain Nicholson  <iain@delphinus.demon.co.uk> */
/* Last modified : 14th January 2002                                       */
/*                                                                         */
/* This file is part of libSIMD.                                           */
/*                                                                         */
/*  libSIMD is free software; you can redistribute it and/or modify it     */
/*  under the terms of the GNU Lesser General Public License as published  */
/*  by the Free Software Foundation; either version 2 of the License, or   */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  libSIMD is distributed in the hope that it will be useful, but WITHOUT */
/*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public   */
/*  License for more details.                                              */
/*                                                                         */
/*  You should have received a copy of the GNU Lesser General Public       */
/*  License along with libSIMD; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307   */
/*  USA                                                                    */
/***************************************************************************/


#include <stdio.h>

/* bad hacks to dump out hex values for various constants */

int main(void)
{
	float f1;
	unsigned i1;
	double d1;
	int *p;
	int x;

	for(x=-2.0; x<3.0; x++)
	{
		f1=0.0+((float)x/100);
		p=(int *)&f1;
		printf("%f (single) : %8x\n",(double)f1, (unsigned)*p);
	}

	
	for(x=-2.0; x<3.0; x++)
	{
		f1=0.0+((float)x);
		p=(int *)&f1;
		printf("%f (single) : %8x\n",(double)f1, (unsigned)*p);
	}
	f1=0.0;
	p=(int *)&f1;
	printf("0.0 (single) : %8x\n",(unsigned)*p);

	f1=0.0001;
	p=(int *)&f1;
	printf("0.0001 (single) : %8x\n",(unsigned)*p);
	
	f1=1.0;
	p=(int *)&f1;
	printf("1.0 (single) : %8x\n",(unsigned)*p);
	f1=2.0;
	p=(int *)&f1;
	printf("2.0 (single) : %8x\n",(unsigned)*p);
	f1=4.0;
	p=(int *)&f1;
	printf("4.0 (single) : %8x\n",(unsigned)*p);	
	f1=8.0;
	p=(int *)&f1;
	printf("8.0 (single) : %8x\n",(unsigned)*p);	
	f1=10.0;
	p=(int *)&f1;
	printf("10.0 (single) : %8x\n",(unsigned)*p);	

	exit(0);
}

