/***************************************************************************/
/* Matrix utility for libSIMD Mathematics Library development.             */
/* Copyright (C) 2000,2001 by Iain Nicholson <iain@delphinus.demon.co.uk>  */
/* Last modified : 10th December 2001                                      */
/*                                                                         */
/* This file is part of libSIMD.                                           */
/*                                                                         */
/*  libSIMD is free software; you can redistribute it and/or modify it     */
/*  under the terms of the GNU Lesser General Public License as published  */
/*  by the Free Software Foundation; either version 2 of the License, or   */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  libSIMD is distributed in the hope that it will be useful, but WITHOUT */
/*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public   */
/*  License for more details.                                              */
/*                                                                         */
/*  You should have received a copy of the GNU Lesser General Public       */
/*  License along with libSIMD; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307   */
/*  USA                                                                    */
/***************************************************************************/

#include <stdio.h>

void expand(int, int);

int main(int argc, char *argv[])
{
	int size;

	if(argc==1)
	{
		expand(2,2);
		return 0;
	}
	else
	{
		if(argc==2)
		{
			size=atol(argv[1]);
			if((size>0) && (size<1000))
			{
				expand(size,size);
			}
			else
			{
				printf("Size bad or out of range.\n");
				return -1;
			}
			
		}
		else
		{
			printf("Bad command line.\n");
			return -1;
		}
	}

	return 0;

}

void expand(int rows, int cols)
{

	int i, j, k;
	for(j=1; j<=rows; j++)
	{
		for(i=1; i<=cols; i++)
		{

			for(k=1; k<=rows; k++)
			{
				printf("a[%d,%d]b[%d,%d]",j-1,k-1,k-1,i-1);
				if(k<rows)
				{
					printf("+");
				}
				else
				{
					printf(" ");
				}
			}
		}
		printf("\n");
	}

}
