/***************************************************************************/
/* C header file for libSIMD Mathematics Library using SIMD code.          */
/* Copyright (C) 2000,2001 by Iain Nicholson <iain@delphinus.demon.co.uk>  */
/* Last modified : 7th February 2002                                       */
/*                                                                         */
/* This file is part of libSIMD.                                           */
/*                                                                         */
/*  libSIMD is free software; you can redistribute it and/or modify it     */
/*  under the terms of the GNU Lesser General Public License as published  */
/*  by the Free Software Foundation; either version 2 of the License, or   */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  libSIMD is distributed in the hope that it will be useful, but WITHOUT */
/*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public   */
/*  License for more details.                                              */
/*                                                                         */
/*  You should have received a copy of the GNU Lesser General Public       */
/*  License along with libSIMD; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307   */
/*  USA                                                                    */
/***************************************************************************/

#define LIBSIMD_MATRIXS

/* 2x2 matrix operations */
void simd_mats_2x2_mul(float [2][2], float [2][2], float [2][2]);
void simd_mats_2x2_det(float [2][2], float *);
/*void simd_mats_2x2_inv(float [2][2], float [2][2]);*/
/*void simd_mats_2x2_trns(float [2][2], float [2][2]);*/
void simd_mats_2x1_mul(float [2][2], float [2], float [2]);

/* 3x3 matrix operations */
void simd_mats_3x3_mul(float [3][3], float [3][3], float [3][3]);
void simd_mats_3x3_det(float [3][3], float *);
/*void simd_mats_3x3_inv(float [3][3], float [3][3]);*/
/*void simd_mats_3x3_trns(float [3][3], float [3][3]);*/
void simd_mats_3x1_mul(float [3][3], float [3], float [3]);

/* 4x4 matrix operations */
void simd_mats_4x4_mul(float [4][4], float [4][4], float [4][4]);
/*void simd_mats_4x4_det(float [4][4], float *);*/
/*void simd_mats_4x4_inv(float [4][4], float [4][4]);*/
/*void simd_mats_4x4_trns(float [4][4], float [4][4]);*/
void simd_mats_4x1_mul(float [4][4], float [4], float [4]);
