/***************************************************************************/
/* C header file for libSIMD Mathematics Library using SIMD code.          */
/* Copyright (C) 2000,2001 by Iain Nicholson <iain@delphinus.demon.co.uk>  */
/* Last modified : 31st January 2002                                       */
/*                                                                         */
/* This file is part of libSIMD.                                           */
/*                                                                         */
/*  libSIMD is free software; you can redistribute it and/or modify it     */
/*  under the terms of the GNU Lesser General Public License as published  */
/*  by the Free Software Foundation; either version 2 of the License, or   */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  libSIMD is distributed in the hope that it will be useful, but WITHOUT */
/*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public   */
/*  License for more details.                                              */
/*                                                                         */
/*  You should have received a copy of the GNU Lesser General Public       */
/*  License along with libSIMD; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307   */
/*  USA                                                                    */
/***************************************************************************/

#include <math.h>
#include <stdio.h>


#define LIBSIMDS

#define USE_3DNOW

#ifdef USE_3DNOW
	#define femms()		__asm__ __volatile__("femms")
#else
	#define femms()
#endif

#ifndef LIBSIMD_SCALARS
	#include "scalars.h"
#endif
#ifndef LIBSIMD_TRIGS
	#include "trigonometrys.h"
#endif
#ifndef LIBSIMD_VECTORS
	#include "vectors.h"
#endif
#ifndef LIBSIMD_MATRIXS
	#include "matrixs.h"
#endif
#ifndef LIBSIMD_COMPLEXS
	#include "complexs.h"
#endif
#ifndef LIBSIMD_QUATS
	#include "quaternions.h"
#endif
#ifndef LIBSIMD_MISC
	#include "misc.h"
#endif


