/***************************************************************************/
/* C header file for libSIMD Mathematics Library using SIMD code.          */
/* Copyright (C) 2000,2001 by Iain Nicholson <iain@delphinus.demon.co.uk>  */
/* Last modified : 14th February 2002                                      */
/*                                                                         */
/* This file is part of libSIMD.                                           */
/*                                                                         */
/*  libSIMD is free software; you can redistribute it and/or modify it     */
/*  under the terms of the GNU Lesser General Public License as published  */
/*  by the Free Software Foundation; either version 2 of the License, or   */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  libSIMD is distributed in the hope that it will be useful, but WITHOUT */
/*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public   */
/*  License for more details.                                              */
/*                                                                         */
/*  You should have received a copy of the GNU Lesser General Public       */
/*  License along with libSIMD; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307   */
/*  USA                                                                    */
/***************************************************************************/

#define LIBSIMD_VECTORS


/* 2-vectors */
void simd_vecs2_assign(float, float, float *);
void simd_vecs2_copy(float *, float *);
void simd_vecs2_add(float *, float *, float *);
void simd_vecs2_sub(float *, float *, float *);
void simd_vecs2_scalar_product(float *, float *, float *);
/*void simd_vecs2_vecstor_product(float *, float *, float *, float *, float *, float *);*/
void simd_vecs2_mag(float *, float *);
void simd_vecs2_mul(float *, float *, float *);
void simd_vecs2_div(float *, float *, float *);
void simd_vecs2_recip(float *, float *);
/*void simd_vecs2_neg();*/

/* 3-vectors */
void simd_vecs3_assign(float, float, float, float *);
void simd_vecs3_copy(float *, float *);
void simd_vecs3_add(float *, float *, float *);
void simd_vecs3_sub(float *, float *, float *);
void simd_vecs3_scalar_product(float *, float *, float *);
/*void simd_vecs3_vecstor_product(float *, float *, float *, float *, float *, float *);*/
void simd_vecs3_mag(float *, float *);
void simd_vecs3_mul(float *, float *, float *);
void simd_vecs3_div(float *, float *, float *);
void simd_vecs3_recip(float *, float *);
/*void simd_vecs3_neg();*/

/* 4-vectors */
void simd_vecs4_assign(float, float, float, float, float *);
void simd_vecs4_copy(float *, float *);
void simd_vecs4_add(float *, float *, float *);
void simd_vecs4_sub(float *, float *, float *);
void simd_vecs4_scalar_product(float *, float *, float *);
/*void simd_vecs4_vecstor_product(float *, float *, float *, float *, float *, float *);*/
void simd_vecs4_mag(float *, float *);
void simd_vecs4_mul(float *, float *, float *);
void simd_vecs4_div(float *, float *, float *);
void simd_vecs4_recip(float *, float *);
/*void simd_vecs4_neg();*/

